/*
 * Copyright 2012 Francesco Cappelli
 *
 * This file is part of Pagliaio.
 *
 * Pagliaio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Pagliaio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Pagliaio.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ACTIONFACTORY_H_
#define ACTIONFACTORY_H_

#include <memory>

#include <Action.h>

namespace pagliaio {

class ActionFactory {
private:
	ActionFactory();

public:
	virtual ~ActionFactory();

	static std::auto_ptr<Action> resolveAction(std::string actionName);
};

}

#endif /* ACTIONFACTORY_H_ */
