/*
 * Copyright 2012 Francesco Cappelli
 *
 * This file is part of Pagliaio.
 *
 * Pagliaio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Pagliaio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Pagliaio.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef POSTITERATOR_H_
#define POSTITERATOR_H_

extern "C" {
#include <sys/time.h>
#include <stdint.h>
#include <sys/select.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <stdarg.h>
#include <microhttpd.h>
#include <syslog.h>
}

#include <map>
#include <string>

struct PostSession {
	MHD_PostProcessor* processor;
	std::map<std::string, std::string>* data;
};

int iterate_post(void* cls, enum MHD_ValueKind kind, const char* key, const char* filename, const char* contentType,
				 const char* transferEncoding, const char *data, uint64_t off, size_t size);

int iterate_get(void *cls, enum MHD_ValueKind kind, const char *key, const char *value);

#endif /* POSTITERATOR_H_ */
